---
layout: handbook-page-toc
title: "Verify Stage"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

To enable software teams around the world to be confident in their delivery by providing a [comprehensive CI platform](https://about.gitlab.com/direction/ops/#verify) that enables them to [Do Powerful Things Easily](https://about.gitlab.com/direction/ops/#do-powerful-things-easily).

## Mission

As engineers in Verify we know our customers because we _are_ our customers, and we are constantly striving make our platform better for everyone. We do this through [iteration](/handbook/values/#iteration), [dogfooding](/handbook/values/#dogfooding), and being involved in our open source community. We innovate, we collaborate, and we challenge assumptions to arrive at great results.

We take ownership of the things we build, with a focus on stability and availability. We do this by having a deep technical understanding of the operation and performance characteristics of our platform, and a proactive perspective to future growth.

## Who we are

The Verify stage is made up of 4 groups:

1. [Verify:Continuous Integration](/handbook/engineering/development/ops/verify/continuous-integration/)
1. [Verify:Pipeline Authoring](/handbook/engineering/development/ops/verify/pipeline-authoring/)
1. [Verify:Runner](/handbook/engineering/development/ops/verify/runner/)
1. [Verify:Testing](/handbook/engineering/development/ops/verify/testing/)

### Verify:Continuous Integration
<%= direct_team(manager_role: 'Backend Engineering Manager, Verify:Continuous Integration & Verify:Pipeline Authoring', role_regexp: /Continuous Integration/) %>

### Verify:Pipeline Authoring
<%= direct_team(manager_role: 'Backend Engineering Manager, Verify:Continuous Integration & Verify:Pipeline Authoring', role_regexp: /Pipeline Authoring/) %>

### Verify:Runner
<%= direct_team(manager_role: 'Backend Engineering Manager, Verify:Runner') %>

### Verify:Testing
<%= direct_team(manager_role: 'Backend Engineering Manager, Verify:Testing') %>

### Verify Frontend
<%= direct_team(manager_role: 'Frontend Engineering Manager, Verify (Interim)') %>

## How we work

Each group in Verify is encouraged to define their own process based on what works best for them. Individual group processes are described on the pages below:

* [Verify:Continuous Integration](/handbook/engineering/development/ops/verify/continuous-integration/)
* [Verify:Pipeline Authoring](/handbook/engineering/development/ops/verify/pipeline-authoring/)
* [Verify:Runner](/handbook/engineering/development/ops/verify/runner/)
* [Verify:Testing](/handbook/engineering/development/ops/verify/testing/)

### Decoupled project management

Many of the groups in CI/CD have separate Frontend and Backend Engineering Managers. Given each group's ability to define their own process, groups may also consider decoupling project management functions from people management functions. 

For example, a group's managers could determine that one of them will be the DRI for a given project, or the entire group. That individual would then be responsible for planning for the whole team, instead of splitting the planning responsiblity between two managers which requires extra coordination. 

## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Verify/, direct_manager_role: 'Senior Manager, Engineering, Verify') %>

## Common Links

### Slack Channels

* Verify [#s_verify](https://gitlab.slack.com/archives/C0SFP840G)
  * Verify:Continuous Integration [#g_ci](https://gitlab.slack.com/archives/CPCJ8CCCX)
  * Verify:Pipeline Authoring [#g_pipeline-authoring](https://gitlab.slack.com/archives/C019R5JD44E)
  * Verify:Runner [#g_runner](https://gitlab.slack.com/archives/CBQ76ND6W)
  * Verify:Testing [#g_testing](https://gitlab.slack.com/archives/CPANF553J)
* Verify Engineering Managers [#s_verify-em](https://gitlab.slack.com/archives/C014UTH4W02)
* Verify Frontend Engineering [#s_verify_fe](https://gitlab.slack.com/archives/CUYH1MP0Q)
